Analytics Made Easy - StatCounter

vCSA 6.5 VUM error "Cannot download software packages from patch source"


During the remediation process with VMware vSphere Update Manager (VUM), the error "Cannot download software packages from patch source" is displayed in the Recent Tasks area.

This error stops the remediation procedure skipping the patching process of the selected ESXi hosts.


This situation occours in the event that VMware has recalled a patch and you are using VMware vSphere Update Manager for patch installation and compliance verification.

You can face four scenarios:

  • You have remediated the recalled patch
  • You have downloaded and staged the recalled patch, but have not remediated the patch
  • You have downloaded the recalled patch definition, but have not staged or remediated the patch
  • Your patch definitions were downloaded prior to the release of the recalled patch


How to quickly remediate ESXi hosts

If the latest patch definitions haven't been updated yet and you need to quickly apply available patches, the following procedure allows to update hosts in few minutes.

After selecting from the Inventory view the vSphere object (vCenter, datacenter, cluster) that contains the ESXi hosts to patch, from the Update Manager tab click Remediate to install the patch immediately.


Select the baselines to use and click Next.


Select the host to patch and click Next.


Bulletins ESXi650-201801401-BG, ESXi650-201801402-BG, ESXi600-201801401-BG, ESXi600-201801402-BG, ESXi550-201801401-BG to fix Meltdown and Spectre issues have been recalled by VMware and must be excluded from the selection to avoid the error and continue with the remediation process. Click Next to continue.


To patch the hosts immediately click Next.


Check the Host remediation options and click Next.


Check the Cluster remediation options and click Next.


Click Finish to start the remediation.


The procedure is now executed without any error.


When the host reboots, the remediation process has completed successfully.


To fix the "Cannot download software packages from patch source" error, you should download the latest patch definitions and adjust the baselines accordingly. Check out VMware KB 2116773 for additional info.


Leave a Reply